#!/bin/sh

# figures.sh
# List figures from *.tex files and prepare HTML links.
# Miroslav Broz (miroslav.broz@email.cz), Apr 19th 2006

cat phdth.tex \
  meteoroids.tex \
  vysheslavia.tex \
  r21.tex \
  eos.tex \
  agnia.tex \
  proper.tex \
  mvs2.tex \
  | awk \ '
/^[^%]*\\begin{figure.*}/{
  fig++;
}
/^[^%].*{figs\/[^#]/ && (fig>=1){
  i++;
  s[i] = gensub("^[^%].*{figs/([^}]*)}.*", "\\1", 1, $0);
  f[i] = fig;
  c[fig]++;
}
/^\\fig{/{
  i++;
  s[i] = gensub("\\\\fig{([^}]*)}.*", "\\1", 1, $0) ".eps";
  f[i] = fig;
  c[fig]++;
}
END{
  n=i;
  split("abcdefghijk", LETTER, //);
  for (i=1; i<=n; i++) {
    if (c[f[i]] > 1) {
      if (f[i] != lastf) {
        j = 0;
        lastf = f[i];
      }
      j++;
      FIG = f[i] LETTER[j];
    } else {
      FIG = f[i];
    }
    print s[i] " " FIG;

    WOEXT = gensub("^(.*)\\.[^\\.]*$", "\\1", 1, s[i]);

    print "<a href=\"./get.cgi?figure=" s[i] "&number=" FIG "\"><img src=\"icons/" WOEXT ".png\" alt=\"Figure " FIG "\" title=\"Figure " FIG " - " s[i] "\"></a>" >"figures.html";
  }
}
' > figures.lst
#more figures.lst

